<?php if(!defined('BASEPATH')) exit('No direct script access allowed');

class supplier_model extends CI_Model
{
    
	/**
     * This function is used to get the user listing count
     * @param string $searchText : This is optional search text
     * @param number $page : This is pagination offset
     * @param number $segment : This is pagination limit
     * @return array $result : This is result
     */
    function supplierListing()
    {
        $this->db->select('BaseT.SupplierID, BaseT.SupplierName, BaseT.Address,  BaseT.ContactNumber,  BaseT.AlternateContactNumber,BaseT.EmailAddress,BaseT.Exiseregistration, BaseT.TIN, BaseT.PAN,,BaseT.GSTNO,BaseT.GSTRange,BaseT.CollectrateAddress,BaseT.UANumber,BaseT.PaymentTerms,BaseT.PaymentDays,BaseT.PayableAT,BaseT.CreatedOn');
        $this->db->from('T_SupplierDetailsN as BaseT');
        
       
        $query = $this->db->get();
        
        $result = $query->result();        
        return $result;
    }
	/**
     * This function used to get user information by id
     * @param number $userId : This is user id
     * @return array $result : This is user information
     */
   
   
   function getpayment($Configvalue = '')
    {
		$ConfigID = 'C009';
        $this->db->select('ConfigValue');
        $this->db->from('T_ConfigDetails');
		 $this->db->where('Config_id ',$ConfigID );
		 if ($Configvalue!= '')
		 {
			 $this->db->where('ConfigValue !=',$Configvalue );
		 }
        $query = $this->db->get();
        
        return $query->result();
    }
   
   
   function checkPAN($PAN,$SID = '')
    {
		$this->db->select('PAN');
        $this->db->from('T_SupplierDetailsN');
		$this->db->where('PAN',$PAN);
	     if ($SID != '')
		{
			$this->db->where('SupplierID  !=',$SID);
		}
		$query = $this->db->get();
		//print_r($this->db->last_query());
        if ($query->num_rows > 0) {
			//echo $result->num_rows;
            return $query->result_array();
		}       
	
           }

	
	

function addNewsupplier($supplier)
    {
       
        $this->db->insert('T_SupplierDetailsN', $supplier);
         
		 $SID = $this->db->affected_rows();

        return $SID;
       
    }
    
    /**
     * This function used to get user information by id
     * @param number $userId : This is user id
     * @return array $result : This is user information
     */
	 function getSupplierInfo($supplierID='')
    {
        $this->db->select('*');
        $this->db->from('T_SupplierDetailsN');       
        $this->db->where('SupplierID', $supplierID);
        $query = $this->db->get();
       // print_r($this->db->last_query());
        return $query->result();
    }
	/* This function to get the Supplier Address on respective Supplier ID */
	function GetSupplierAddress($supplierID)
    {
        $this->db->select('Address');
        $this->db->from('T_SupplierDetailsN');
         $this->db->where('SupplierID', $supplierID);
        $query = $this->db->get();
         return $query->result_array();
    }
	function UpdateSupplier($supplier, $supplierID)
    {
        $this->db->where('SupplierID', $supplierID);
        $this->db->update('T_SupplierDetailsN', $supplier);
        
        return TRUE;
    }
	
	function viewsupplier($supplier, $supplierID)
    {
        $this->db->where('SupplierID', $supplierID);
        $this->db->update('T_SupplierDetailsN', $supplier);
        
        return TRUE;
    }
	
	function export_excel(){
		
		$this->db->select('det.SupplierID,SupplierName,det.Address,det.ContactNumber,det.AlternateContactNumber,det.EmailAddress,det.Exiseregistration,det.TIN,
det.PAN,det.CSTNO,det.CSTDate,det.GSTNO,det.GSTRange,det.CollectrateAddress,det.UANumber,det.PaymentTerms,det.PaymentDays,det.PayableAT,emp.firstname ,emp1.firstname as Update_by,,det.IsActive');
		$this->db->join('tbl_users as tbl',' det.createdby = tbl.userid','left');
		$this->db->join('T_Employee_Details as emp', 'emp.empid=tbl.empid','left');
		$this->db->join('tbl_users as tbl1',' det.UpdatedBy = tbl1.userid','left');
		$this->db->join('T_Employee_Details as emp1', 'emp1.empid=tbl1.empid','left');
        return $this->db->get('T_SupplierDetailsN as det')->result_array();
	}
	
	

	
	}
?>